## CamelMsgPort

CamelMsgPort

## Functions

CamelMsgPort * | camel_msgport_new ()
void | camel_msgport_destroy ()
gint | camel_msgport_fd ()
void | camel_msgport_push ()
CamelMsg * | camel_msgport_pop ()
CamelMsg * | camel_msgport_try_pop ()
CamelMsg * | camel_msgport_timeout_pop ()
void | camel_msgport_reply ()
struct PRFileDesc * | camel_msgport_prfd ()

## Types and Values

struct | CamelMsg
| CamelMsgPort

## Description

## Functions

### camel_msgport_new ()

    CamelMsgPort *
    camel_msgport_new (void);

Since 2.24

### camel_msgport_destroy ()

    void
    camel_msgport_destroy (CamelMsgPort *msgport);

Since 2.24

### camel_msgport_fd ()

    gint
    camel_msgport_fd (CamelMsgPort *msgport);

Since 2.24

### camel_msgport_push ()

    void
    camel_msgport_push (CamelMsgPort *msgport,
                        CamelMsg *msg);

Since 2.24

### camel_msgport_pop ()

    CamelMsg *
    camel_msgport_pop (CamelMsgPort *msgport);

Since 2.24

### camel_msgport_try_pop ()

    CamelMsg *
    camel_msgport_try_pop (CamelMsgPort *msgport);

Since 2.24

### camel_msgport_timeout_pop ()

    CamelMsg *
    camel_msgport_timeout_pop (CamelMsgPort *msgport,
                               guint64 timeout);

#### Parameters

msgport | a CamelMsgPort |
timeout | number of microseconds to wait |

Since 3.8

### camel_msgport_reply ()

    void
    camel_msgport_reply (CamelMsg *msg);

Since 2.24

### camel_msgport_prfd ()

    struct PRFileDesc *
    camel_msgport_prfd (CamelMsgPort *msgport);

Since 2.24

## Types and Values

### struct CamelMsg

    struct CamelMsg {
    	CamelMsgPort *reply_port;
    	gint flags;
    };

Since 2.24

### CamelMsgPort

    typedef struct _CamelMsgPort CamelMsgPort;

Since 2.24